[sip-comm] Build problem


#1

My current status is observer. I used windows and eclipse. When building the
source code, I got this error code:
Severity and Description Path Resource Location Creation Time Id
Project sip-communicator is missing required library: 'sip-communicator.bin
/bundle1/version0.0/embedded/kxml2-2.2.2.jar' sip-communicator Build
path 1182088372883 23

I've checked the [project folder]\bin, the folder is empty. And I've
searched for kxml2-2.2.2.jar in the project folder, but without result.

What should I do?

Thanks.

Best regards,
roscoe_x


#2

Hi Roiki,

I've just committed a fix of the .classpath file in the /ide/eclipse directory. If you replace your project workspace .classpath file with this one it should work. Afterwards You should only add your own ant.jar to the list of libraries.

Sorry for the inconvenience!
Yana

Roiki Guo wrote:

···

My current status is observer. I used windows and eclipse. When building the
source code, I got this error code:
Severity and Description Path Resource Location Creation Time Id
Project sip-communicator is missing required library: 'sip-communicator.bin
/bundle1/version0.0/embedded/kxml2-2.2.2.jar' sip-communicator Build
path 1182088372883 23

I've checked the [project folder]\bin, the folder is empty. And I've
searched for kxml2-2.2.2.jar in the project folder, but without result.

What should I do?

Thanks.

Best regards,
roscoe_x

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: users-help@sip-communicator.dev.java.net


#3

Hi Yana,
I've downloaded the latest .classpath file then, after fixing some other
problems, Eclipse generates NightlyBuildID cannot be resolved error.

Here's part of the code"

···

*

public* String getNightlyBuildID()

{

*if*(!isNightly())

* return* *null*;

*return* NightlyBuildID.BUILD_ID;

}
It's in VersionImpl.java line 135. Apparently NightlyBuildID is not declared
any where in the code. Is the code missing or should I added by myself?

Thanks.

Roiki

On 6/18/07, Yana Stamcheva <yana@sip-communicator.org> wrote:

Hi Roiki,

I've just committed a fix of the .classpath file in the /ide/eclipse
directory. If you replace your project workspace .classpath file with
this one it should work. Afterwards You should only add your own ant.jar
to the list of libraries.

Sorry for the inconvenience!
Yana

Roiki Guo wrote:
> My current status is observer. I used windows and eclipse. When building

> the
> source code, I got this error code:
> Severity and Description Path Resource Location Creation Time Id
> Project sip-communicator is missing required library: '
sip-communicator.bin
> /bundle1/version0.0/embedded/kxml2-2.2.2.jar' sip-communicator Build
> path 1182088372883 23
>
> I've checked the [project folder]\bin, the folder is empty. And I've
> searched for kxml2-2.2.2.jar in the project folder, but without result.
>
> What should I do?
>
> Thanks.
>
> Best regards,
> roscoe_x
>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: users-help@sip-communicator.dev.java.net


#4

Hello Roiki,

You should build your code one first time using ant (i.e. ant build)and the file will be generated.

Cheers
Emil

Roiki Guo wrote:

···

Hi Yana,
I've downloaded the latest .classpath file then, after fixing some other problems, Eclipse generates NightlyBuildID cannot be resolved error.
Here's part of the code"
*

public

* String getNightlyBuildID()

{

*if*(!isNightly())

* return* * null*;

*return* NightlyBuildID.BUILD_ID;

}

It's in VersionImpl.java line 135. Apparently NightlyBuildID is not declared any where in the code. Is the code missing or should I added by myself?
Thanks.
Roiki

On 6/18/07, *Yana Stamcheva* <yana@sip-communicator.org > <mailto:yana@sip-communicator.org>> wrote:

    Hi Roiki,

    I've just committed a fix of the .classpath file in the /ide/eclipse
    directory. If you replace your project workspace .classpath file with
    this one it should work. Afterwards You should only add your own ant.jar
    to the list of libraries.

    Sorry for the inconvenience!
    Yana

    Roiki Guo wrote:
     > My current status is observer. I used windows and eclipse. When
    building
     > the
     > source code, I got this error code:
     > Severity and Description Path Resource Location Creation Time Id
     > Project sip-communicator is missing required library:
    'sip-communicator.bin
     > /bundle1/version0.0/embedded/kxml2-2.2.2.jar' sip-communicator Build
     > path 1182088372883 23
     >
     > I've checked the [project folder]\bin, the folder is empty. And I've
     > searched for kxml2-2.2.2.jar in the project folder, but without
    result.
     >
     > What should I do?
     >
     > Thanks.
     >
     > Best regards,
     > roscoe_x
     >

    ---------------------------------------------------------------------
    To unsubscribe, e-mail:
    users-unsubscribe@sip-communicator.dev.java.net
    <mailto:users-unsubscribe@sip-communicator.dev.java.net>
    For additional commands, e-mail:
    users-help@sip-communicator.dev.java.net
    <mailto:users-help@sip-communicator.dev.java.net>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: users-help@sip-communicator.dev.java.net